import { FC } from "react";
import { UrgentMessage } from "../types/UrgentMessage";
import { Language } from "../types/Language";

type MasterFragmentUrgentMessageProps = {
  urgentMessage: UrgentMessage;
  lang: Language;
};

export const MasterFragmentUrgentMessage: FC<
  MasterFragmentUrgentMessageProps
> = ({ urgentMessage, lang }) => (
  <div className="urgentMessage">
    <h3>{urgentMessage.tab.description[lang]}</h3>
    <p style={{ whiteSpace: "pre-line" }}>{urgentMessage.tab.text[lang]}</p>
  </div>
);
