import convert from "color-convert";
import { Property } from "csstype";

export const hexColorToFilter = (color: string): Property.Filter => {
  const [h, s, v] = convert.hex.hsl(color);
  console.log(color, [h, s, v]);
  return `invert(0.5) sepia(1) saturate(200) brightness(${s / 255}) saturate(${
    s / 255
  }) hue-rotate(${h}deg)`;
};
