import { Language } from "../types/Language";
import { UITranslation } from "../types/UITranslation";

export const FlagsUI: Record<Language, keyof UITranslation> = {
  en: "language_english_flag",
  es: "language_spanish_flag",
  pt: "language_portuguese_flag",
};

export const LanguageUI: Record<Language, keyof UITranslation> = {
  en: "language_english",
  es: "language_spanish",
  pt: "language_portuguese",
};
