export const groupBy = <T, R extends string>(
  c: T[],
  f: (item: T) => R
): T[][] => {
  const ixa = [] as R[];
  const ret = [] as T[][];
  for (const i of c) {
    const r = f(i);
    if (!ixa.includes(r)) {
      ixa.push(r);
      ret.push([]);
    }
    const ix = ixa.indexOf(r);
    ret[ix].push(i);
  }
  return ret;
};
