import "@/styles/globals.sass";
import type { AppProps } from "next/app";
import { QueryClient, QueryClientProvider } from "react-query";
import "@fortawesome/fontawesome-svg-core/styles.css";

export default function App({ Component, pageProps }: AppProps) {
  return (
    <QueryClientProvider client={new QueryClient({})}>
      <Component {...pageProps} />
    </QueryClientProvider>
  );
}
