import { DecomposedDateTime } from "./DecomposedDateTime";
import { LanguageString } from "./LanguageString";
import { NamedColor } from "./NamedColor";

export type RegistrationLink = {
  uuid: string;
  alias: string;
  ordering: number;
  name: LanguageString;
  url: LanguageString;
  color: NamedColor;
  appears: DecomposedDateTime;
  vanishes: DecomposedDateTime;
};
